On May 4, 2011, at 11:17 AM, Ed Schouten wrote:
> Hi Nathan,
>
> * Nathan Whitehorn <[email protected]>, 20110504 04:52:
>> chroot $2 /bin/sh -c "cd /usr/src && make $MAKE_FLAGS buildworld
>> buildkernel" || exit 1
>> +chroot $2 /bin/sh -c "cd /usr/src/release && make obj" || exit 1
>> chroot $2 /bin/sh -c "cd /usr/src/release && make release" || exit 1
>> chroot $2 /bin/sh -c "cd /usr/src/release && make install DESTDIR=/R" ||
>> exit 1
>
> Wouldn't it be a bit more elegant to do something like this?
>
> chroot $2 make -C /usr/src/release obj
>
> Also, if you enable set -e, the script terminates upon error.
Which is as bad as well as it needs to cleanup devfs mounts etc. in case of
errors. I am trying to get one finished and will post the results as well as
possible error cases I have hit so we can generally improve the script and
make it more robust. So far I am on build #4 ;-)
/bz
--
Bjoern A. Zeeb You have to have visions!
Stop bit received. Insert coin for new address family.
_______________________________________________
[email protected] mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-head
To unsubscribe, send any mail to "[email protected]"